[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Summary - Broken dependencies in Fedora Extras - 2006-09-15



Michael Schwendt schrieb:
> On Fri, 15 Sep 2006 17:41:35 +0300, Ville Skyttä wrote:
>> On Fri, 2006-09-15 at 15:53 +0200, Thorsten Leemhuis wrote:
>>> [...]
>>>>     ville.skytta AT iki.fi
>>>>         kmod-em8300 - 0.15.3-7.2.6.17_1.2174_FC5.i586    
>>> [...]
>>>> package: kmod-em8300-xen0 - 0.15.3-7.2.6.17_1.2174_FC5.i686 from fedora-extras-5-i386
>>>>   unresolved deps: 
>>>>      kernel-i686 = 0:2.6.17-1.2174_FC5xen0
>>> False positive? The kernel seems to still be around...
>> I don't know the details how this script works, but I guess if it
>> examines only the newest version of each package in the repos, that
>> could be the culprit (ie. in this case a new kernel was available so
>> maybe it ignored the 2nd newest one even if it was there?).
> Yes. Checking against only the newest version of every package is
> intentional, since for the majority of packages, an ordinary "yum update"
> also retrieves the newest packages, removing old versions. Only then dep
> breakage is discovered.
> 
> Yesterday's report is positive, however. Dependencies on old kernels are
> permitted, now, except if the old kernel is not available anymore.

mschwendt and scop: Many thanks for all your work on the scripts that
push the repo and check it afterwards! And of course also thx to c4chris
and mjk for the scripts that create the PackageStatus stuff in the wiki.

CU
thl


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]